org.apache.flume.channel.jdbc.impl

## Class PersistableEvent.SpillableString

- java.lang.Object
- - org.apache.flume.channel.jdbc.impl.PersistableEvent.SpillableString

- Enclosing class:
    PersistableEvent

      protected static class PersistableEvent.SpillableString
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistableEvent.SpillableString(String string, int threshold)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBase()`
    `String` | `getSpill()`
    `String` | `getString()`
    `boolean` | `hasSpill()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistableEvent.SpillableString

          public PersistableEvent.SpillableString(String string,
                                          int threshold)

  - ### Method Detail

    - #### getBase

          public String getBase()

    - #### getSpill

          public String getSpill()

    - #### getString

          public String getString()

    - #### hasSpill

          public boolean hasSpill()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.